For the complete documentation index, see llms.txt. This page is also available as Markdown.

Budgets

Manage Budgets in bulk

Adjust Budget Amount in bulk

post

Change the budget amount for the budgets in bulk

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
budgetIdsstring[]Required

List of budget IDs to perform action on.

adjustBudgetBulkRequestTypestring · enumRequiredPossible values:
adjustmentValuenumber · doubleRequired

Percentage or amount to adjust the budget by.

Responses
202

Bulk operation accepted

application/json
post/budgets/bulk/adjust-budget-amount
POST /gateway/ccm/api/budgets/bulk/adjust-budget-amount?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "budgetIds": [
    "text"
  ],
  "adjustBudgetBulkRequestType": "DECREASE_BY_PERCENTAGE",
  "adjustmentValue": 1
}

Clone Budgets in bulk

post

Clone budgets in bulk with customizable alert handling options

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
budgetIdsstring[]Required

List of budget IDs to perform action on.

suffixstringOptional

Suffix for the cloned budgets.

alertModestring · enumRequired

How to handle budget alerts when cloning.

Possible values:
slackRecipientsstring[]Optional

List of new slack recipients to use if COPY_THRESHOLDS_NEW_RECIPIENTS

emailRecipientsstring[]Optional

List of new email recipients to use if COPY_THRESHOLDS_NEW_RECIPIENTS

Responses
202

Bulk clone operation accepted

application/json
post/budgets/bulk/clone
POST /gateway/ccm/api/budgets/bulk/clone?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 137

{
  "budgetIds": [
    "text"
  ],
  "suffix": "text",
  "alertMode": "COPY_THRESHOLDS_OLD_RECIPIENTS",
  "slackRecipients": [
    "text"
  ],
  "emailRecipients": [
    "text"
  ]
}

Bulk create Cost Bucket Budgets

post

Create budgets for multiple cost buckets within a cost category

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
costCategoryIdstringRequired
costBucketIdsstring[] · min: 1 · max: 20Required
periodstring · enumRequiredPossible values:
typestring · enumRequired

Whether the Budget is based on a specified amount or based on previous month's actual spend

Possible values:
budgetAmountnumber · doubleOptional
growthRatenumber · doubleOptional
startTimeinteger · int64Optional
namePrefixstringOptional
folderIdstringOptional
disableCurrencyWarningbooleanOptional
Responses
202

Bulk create operation accepted

application/json
post/budgets/bulk/create-cost-bucket-budgets
POST /gateway/ccm/api/budgets/bulk/create-cost-bucket-budgets?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 578

{
  "costCategoryId": "text",
  "costBucketIds": [
    "text"
  ],
  "period": "DAILY",
  "type": "SPECIFIED_AMOUNT",
  "budgetAmount": 1,
  "growthRate": 1,
  "startTime": 1,
  "alertThresholds": [
    {
      "percentage": 1,
      "basedOn": "ACTUAL_COST",
      "emailAddresses": [
        "text"
      ],
      "userGroupIds": [
        "text"
      ],
      "slackWebhooks": [
        "text"
      ],
      "alertsSent": 1,
      "crossedAt": 1
    }
  ],
  "budgetMonthlyBreakdown": {
    "budgetBreakdown": "YEARLY",
    "budgetMonthlyAmount": [
      {
        "time": 1,
        "value": 1
      }
    ],
    "actualMonthlyCost": [
      1
    ],
    "forecastMonthlyCost": [
      1
    ],
    "yearlyLastPeriodCost": [
      1
    ],
    "forecastCostConfigured": true
  },
  "namePrefix": "text",
  "folderId": "text",
  "disableCurrencyWarning": true
}

Delete Budgets in bulk

post

Delete budgets in bulk.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
budgetIdsstring[]Required

List of budget IDs to perform action on.

Responses
202

Bulk delete operation accepted

application/json
post/budgets/bulk/delete
POST /gateway/ccm/api/budgets/bulk/delete?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 22

{
  "budgetIds": [
    "text"
  ]
}

Check bulk budget update job status

get

Checks the current status (RUNNING, COMPLETED, FAILED) of a bulk budget update job by jobId.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
200

Returns the status string of the bulk update job (RUNNING, COMPLETED, FAILED)

application/json
get/budgets/bulk/check-job-status
GET /gateway/ccm/api/budgets/bulk/check-job-status?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*

Manage Budget Alerts in bulk

post

Manage alerts for budgets in bulk (delete, add, add/remove recipients)

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
budgetIdsstring[]Required

List of budget IDs to perform action on.

actionstring · enumRequired

Action to perform on the budgets.

Possible values:
emailRecipientsstring[]Optional

List of email recipients. Required for ADD_RECIPIENTS or REMOVE_RECIPIENTS.

slackRecipientsstring[]Optional

List of Slack recipients. Required for ADD_RECIPIENTS or REMOVE_RECIPIENTS.

Responses
202

Bulk manage alerts operation accepted

application/json
post/budgets/bulk/manage-alerts
POST /gateway/ccm/api/budgets/bulk/manage-alerts?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "budgetIds": [
    "text"
  ],
  "action": "DELETE_ALL_ALERTS",
  "emailRecipients": [
    "text"
  ],
  "slackRecipients": [
    "text"
  ],
  "alertThresholds": [
    {
      "percentage": 1,
      "basedOn": "ACTUAL_COST",
      "emailAddresses": [
        "text"
      ],
      "userGroupIds": [
        "text"
      ],
      "slackWebhooks": [
        "text"
      ],
      "alertsSent": 1,
      "crossedAt": 1
    }
  ]
}

Fetch Budget details

get

Fetch details of a Budget for the given Budget ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgets/{id}
GET /gateway/ccm/api/budgets/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Clone a budget

post

Clone a Budget using the given Budget ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

cloneNamestringRequired

Name of the new budget

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/{id}
POST /gateway/ccm/api/budgets/{id}?accountIdentifier=text&cloneName=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update an existing budget

put

Update an existing Budget for the given Budget ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
stringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/budgets/{id}
PUT /gateway/ccm/api/budgets/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a budget

delete

Delete a Budget for the given Budget ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/budgets/{id}
DELETE /gateway/ccm/api/budgets/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return the list of filter values for the Budgets

post

Returns the list of filter values for all the specified filters.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

Request for obtaining available filter values for budget filters

columnsstring[]Optional

List of column names to get filter values for. Supported values: 'period', 'createdBy', 'perspectiveName', 'budgetStatus', 'scopeType', 'costCategoryName', 'costBucketName'

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/filter-values
POST /gateway/ccm/api/budgets/filter-values?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 483

{
  "columns": [
    "text"
  ],
  "filter": {
    "period": "DAILY",
    "createdBy": [
      "text"
    ],
    "perspectiveNames": [
      "text"
    ],
    "minBudgetAmount": 1,
    "maxBudgetAmount": 1,
    "lastModifiedStartTime": 1,
    "lastModifiedEndTime": 1,
    "offset": 1,
    "limit": 1,
    "folderIds": [
      "text"
    ],
    "searchKey": "text",
    "budgetStatus": [
      "ON_TRACK"
    ],
    "scopeType": "text",
    "costCategoryNames": [
      "text"
    ],
    "costBucketNames": [
      "text"
    ],
    "costCategoryDTOs": [
      {
        "costCategory": "text",
        "costBucket": "text"
      }
    ],
    "tags": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "filterType": "CCMBudget"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Filter budgets with RBAC checks

post

Returns a list of budgets based on filter criteria with folder-based RBAC checks

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

sortTypestring · enumOptional

Field to sort results by

Possible values:
sortOrderstring · enumOptional

Sort order (ASCENDING or DESCENDING)

Possible values:
Body

Properties of the Budget Filter defined in Harness

periodstring · enumOptional

Filter by budget period

Possible values:
createdBystring[]Optional

Filter by creator user ID

perspectiveNamesstring[]Optional

Filter by perspective ID

minBudgetAmountnumber · doubleOptional

Minimum budget amount

maxBudgetAmountnumber · doubleOptional

Maximum budget amount

lastModifiedStartTimeinteger · int64Optional

Start time for last modified filter (timestamp in milliseconds)

lastModifiedEndTimeinteger · int64Optional

End time for last modified filter (timestamp in milliseconds)

offsetinteger · int32Optional

Number of results to skip

limitinteger · int32Optional

Maximum number of results to return

folderIdsstring[]Optional

Filter by multiple folder IDs

searchKeystringOptional

Search text to filter budgets by name (case-insensitive)

scopeTypestringOptional

Filter by budget scope type (PERSPECTIVE, COST_BUCKET)

costCategoryNamesstring[]Optional

Filter by cost category names

costBucketNamesstring[]Optional

Filter by cost bucket names

filterTypestring · enumOptionalPossible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/v2/list
POST /gateway/ccm/api/budgets/v2/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 453

{
  "period": "DAILY",
  "createdBy": [
    "text"
  ],
  "perspectiveNames": [
    "text"
  ],
  "minBudgetAmount": 1,
  "maxBudgetAmount": 1,
  "lastModifiedStartTime": 1,
  "lastModifiedEndTime": 1,
  "offset": 1,
  "limit": 1,
  "folderIds": [
    "text"
  ],
  "searchKey": "text",
  "budgetStatus": [
    "ON_TRACK"
  ],
  "scopeType": "text",
  "costCategoryNames": [
    "text"
  ],
  "costBucketNames": [
    "text"
  ],
  "costCategoryDTOs": [
    {
      "costCategory": "text",
      "costBucket": "text"
    }
  ],
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "filterType": "CCMBudget"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Budget count metrics with RBAC checks

post

Returns the total budget count (ignoring any budgetStatus selection) and the over-budget count for the given filter, with folder-based RBAC checks

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

Properties of the Budget Filter defined in Harness

periodstring · enumOptional

Filter by budget period

Possible values:
createdBystring[]Optional

Filter by creator user ID

perspectiveNamesstring[]Optional

Filter by perspective ID

minBudgetAmountnumber · doubleOptional

Minimum budget amount

maxBudgetAmountnumber · doubleOptional

Maximum budget amount

lastModifiedStartTimeinteger · int64Optional

Start time for last modified filter (timestamp in milliseconds)

lastModifiedEndTimeinteger · int64Optional

End time for last modified filter (timestamp in milliseconds)

offsetinteger · int32Optional

Number of results to skip

limitinteger · int32Optional

Maximum number of results to return

folderIdsstring[]Optional

Filter by multiple folder IDs

searchKeystringOptional

Search text to filter budgets by name (case-insensitive)

scopeTypestringOptional

Filter by budget scope type (PERSPECTIVE, COST_BUCKET)

costCategoryNamesstring[]Optional

Filter by cost category names

costBucketNamesstring[]Optional

Filter by cost bucket names

filterTypestring · enumOptionalPossible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/v2/metrics
POST /gateway/ccm/api/budgets/v2/metrics?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 453

{
  "period": "DAILY",
  "createdBy": [
    "text"
  ],
  "perspectiveNames": [
    "text"
  ],
  "minBudgetAmount": 1,
  "maxBudgetAmount": 1,
  "lastModifiedStartTime": 1,
  "lastModifiedEndTime": 1,
  "offset": 1,
  "limit": 1,
  "folderIds": [
    "text"
  ],
  "searchKey": "text",
  "budgetStatus": [
    "ON_TRACK"
  ],
  "scopeType": "text",
  "costCategoryNames": [
    "text"
  ],
  "costBucketNames": [
    "text"
  ],
  "costCategoryDTOs": [
    {
      "costCategory": "text",
      "costBucket": "text"
    }
  ],
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "filterType": "CCMBudget"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch the cost details of a Budget

get

Fetch the cost details of a Budget for the given Budget ID.

Path parameters
idstringRequired

Unique identifier for the Budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

breakdownstring · enumOptional

Whether the Yearly budget breakdown is yearly or monthly

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgets/{id}/costDetails
GET /gateway/ccm/api/budgets/{id}/costDetails?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all the Budgets associated with a Perspective

get

List all the Budgets associated for the given Perspective ID.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

perspectiveIdstringRequired

Unique identifier for the Perspective

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgets/perspectiveBudgets
GET /gateway/ccm/api/budgets/perspectiveBudgets?accountIdentifier=text&perspectiveId=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all the Budgets

get

List all the Budgets.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

budgetSortTypestring · enumOptional

Budget List Sort Type

Possible values:
sortOrderstring · enumOptional

Budget List Sort Order

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgets
GET /gateway/ccm/api/budgets?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a Budget

post

Create a Budget to set and receive alerts when your costs exceed (or are forecasted to exceed) your budget amount.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

The Cloud Cost Budget definition

uuidstringOptional
accountIdstringRequired
namestring · min: 1 · max: 80Required
typestring · enumOptional

Whether the Budget is based on a specified amount or based on previous month's actual spend

Possible values:
customAlertMessagestringOptional
budgetAmountnumber · doubleOptional
periodstring · enumOptionalPossible values:
growthRatenumber · doubleOptional
actualCostnumber · doubleOptional
forecastCostnumber · doubleOptional
lastMonthCostnumber · doubleOptional
emailAddressesstring[]Optional
userGroupIdsstring[]Optional
parentBudgetGroupIdstringOptional
notifyOnSlackbooleanOptional
isNgBudgetbooleanWrite-onlyOptional
startTimeinteger · int64Optional
endTimeinteger · int64Optional
disableCurrencyWarningbooleanOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
folderIdstringOptional
ngBudgetbooleanOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets
POST /gateway/ccm/api/budgets?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 1231

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "scope": {
    "entityIds": [
      "text"
    ],
    "entityNames": [
      "text"
    ],
    "budgetScopeType": "text",
    "type": "text"
  },
  "type": "SPECIFIED_AMOUNT",
  "budgetMonthlyBreakdown": {
    "budgetBreakdown": "YEARLY",
    "budgetMonthlyAmount": [
      {
        "time": 1,
        "value": 1
      }
    ],
    "actualMonthlyCost": [
      1
    ],
    "forecastMonthlyCost": [
      1
    ],
    "yearlyLastPeriodCost": [
      1
    ],
    "forecastCostConfigured": true
  },
  "customAlertMessage": "text",
  "budgetAmount": 1,
  "period": "DAILY",
  "growthRate": 1,
  "actualCost": 1,
  "forecastCost": 1,
  "lastMonthCost": 1,
  "alertThresholds": [
    {
      "percentage": 1,
      "basedOn": "ACTUAL_COST",
      "emailAddresses": [
        "text"
      ],
      "userGroupIds": [
        "text"
      ],
      "slackWebhooks": [
        "text"
      ],
      "alertsSent": 1,
      "crossedAt": 1
    }
  ],
  "emailAddresses": [
    "text"
  ],
  "userGroupIds": [
    "text"
  ],
  "parentBudgetGroupId": "text",
  "notifyOnSlack": true,
  "isNgBudget": true,
  "startTime": 1,
  "endTime": 1,
  "budgetHistory": {
    "ANY_ADDITIONAL_PROPERTY": {
      "time": 1,
      "endTime": 1,
      "actualCost": 1,
      "forecastCost": 1,
      "budgeted": 1,
      "budgetVariance": 1,
      "budgetVariancePercentage": 1
    }
  },
  "disableCurrencyWarning": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "folderId": "text",
  "ngBudget": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List alert thresholds for a budget

get

List all the alert thresholds that have been set for the given Budget ID.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

budgetIdstringRequired

Unique identifier for the budget

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgets/subscribe/list
GET /gateway/ccm/api/budgets/subscribe/list?accountIdentifier=text&budgetId=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Move budgets to a folder

post

Move budgets to a different folder, overriding perspective folder inheritance.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

DTO for moving budgets between folders

newFolderIdstringRequired

The ID of the target folder to move budgets to

budgetIdsstring[]Required

List of budget IDs to be moved

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/moveBudgets
POST /gateway/ccm/api/budgets/moveBudgets?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "newFolderId": "text",
  "budgetIds": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update alert thresholds for a budget

post

Update the alert thresholds for the given Budget ID with the provided list of alert thresholds.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

budgetIdstringRequired

Unique identifier for the budget

Bodyobject · AlertThreshold[]

A description of a single Alert

percentagenumber · doubleOptional
basedOnstring · enumOptional

Whether the alert is based on Actual cost or next 30 days Forecasted Cost

Possible values:
emailAddressesstring[]Optional
userGroupIdsstring[]Optional
slackWebhooksstring[]Optional
alertsSentinteger · int32Optional
crossedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgets/subscribe
POST /gateway/ccm/api/budgets/subscribe?accountIdentifier=text&budgetId=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 146

[
  {
    "percentage": 1,
    "basedOn": "ACTUAL_COST",
    "emailAddresses": [
      "text"
    ],
    "userGroupIds": [
      "text"
    ],
    "slackWebhooks": [
      "text"
    ],
    "alertsSent": 1,
    "crossedAt": 1
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?